/*
** iplog_options.h - iplog command line argument handler data.
** Copyright (C) 1999 Odin <odin@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
*/

#ifndef __OPTIONS_H
#define __OPTIONS_H

/* Program options */
#define SMURF		0x01
#define PORTSCAN	0x02
#define GET_IDENT	0x04
#define DNS_CACHE	0x08
#define UDP_RES		0x10
#define ICMP_RES	0x20
#define TRACEROUTE	0x40
#define BOGUS		0x80
#define FIN_SCAN	0x100
#define NULL_SCAN	0x200
#define SYN_FLOOD	0x400
#define LOG_TCP		0x800
#define LOG_UDP		0x1000
#define LOG_ICMP	0x2000
#define TCP_RES		0x4000
#define XMAS_SCAN	0x8000
#define PING_FLOOD	0x10000
#define NO_RESOLV	0x20000
#define UDP_SCAN	0x40000
#define FOOL_NMAP	0x80000
#define NO_FORK		0x100000
#define LOG_STDOUT	0x200000

#define AUTHORS "Odin <odin@numb.org> "
#define WEBPAGE "http://www.numb.org/~odin"

#endif /* __OPTIONS_H */

/* vim:ts=4:sw=8:tw=0 */
